com.trendmicro.ds.appcontrol.rest.object.drift

## Class DriftItemDetails

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.DriftItemDetails

-     public class DriftItemDetails
      extends java.lang.Object

  A full set of details for one drift item.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DriftItemDetails.RulesetSummaryInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DriftItemDetails()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChangeByProcess()` The name of the process that introduced the drift item.
    `java.lang.String` | `getChangeByProcessID()` The process ID of the process that introduced the drift item.
    `java.lang.String` | `getChangeByUser()` The username of the user that introduced the drift item.
    `java.lang.String` | `getChangeByUserID()` The user ID of the user that introduced the drift item.
    `long` | `getChangeEventTime()` The time the drift item was discovered, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `java.lang.String` | `getFileDescription()` The file description associated with the drift item.
    `java.lang.String` | `getFileName()` The file name of the drift item.
    `java.lang.Long` | `getFileSize()` The file size of the drift item in byte
    `java.lang.String` | `getFileVersion()` The file version associated with the drift item.
    `HostTransport` | `getHost()` The host on which the drift item was found.
    `java.lang.String` | `getInstallPath()` The path on which the drift item was found.
    `java.lang.String` | `getMd5()` The MD5 hash calculated from the drift item.
    `java.lang.String` | `getProductName()` The product name associated with the drift item.
    `java.lang.String` | `getProductVersion()` The product version associated with the drift item.
    `DriftItemDetails.RulesetSummaryInfo` | `getRuleset()` Summary information about the current ruleset on the host, if any.
    `java.lang.String` | `getSha1()` The SHA1 hash calculated from the drift item.
    `java.lang.String` | `getSha256()` The SHA256 hash calculated from the drift item.
    `java.lang.String` | `getVendorName()` The vendor name associated with the drift item.
    `void` | `setChangeByProcess(java.lang.String changeByProcess)`
    `void` | `setChangeByProcessID(java.lang.String changeByProcessID)`
    `void` | `setChangeByUser(java.lang.String changeByUser)`
    `void` | `setChangeByUserID(java.lang.String changeByUserID)`
    `void` | `setChangeEventTime(long changeEventTime)`
    `void` | `setFileDescription(java.lang.String fileDescription)`
    `void` | `setFileName(java.lang.String fileName)`
    `void` | `setFileSize(java.lang.Long fileSize)`
    `void` | `setFileVersion(java.lang.String fileVersion)`
    `void` | `setHost(HostTransport host)`
    `void` | `setInstallPath(java.lang.String installPath)`
    `void` | `setMd5(java.lang.String md5)`
    `void` | `setProductName(java.lang.String productName)`
    `void` | `setProductVersion(java.lang.String productVersion)`
    `void` | `setRuleset(DriftItemDetails.RulesetSummaryInfo ruleset)` Set summary information about the current ruleset on the host.
    `void` | `setSha1(java.lang.String sha1)`
    `void` | `setSha256(java.lang.String sha256)`
    `void` | `setVendorName(java.lang.String vendorName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DriftItemDetails

          public DriftItemDetails()

  - ### Method Detail

    - #### getHost

          public HostTransport getHost()

      The host on which the drift item was found.
      Returns:

    - #### setHost

          public void setHost(HostTransport host)

    - #### getVendorName

          public java.lang.String getVendorName()

      The vendor name associated with the drift item.
      Returns:

    - #### setVendorName

          public void setVendorName(java.lang.String vendorName)

    - #### getProductName

          public java.lang.String getProductName()

      The product name associated with the drift item.
      Returns:

    - #### setProductName

          public void setProductName(java.lang.String productName)

    - #### getProductVersion

          public java.lang.String getProductVersion()

      The product version associated with the drift item.
      Returns:

    - #### setProductVersion

          public void setProductVersion(java.lang.String productVersion)

    - #### getFileSize

          public java.lang.Long getFileSize()

      The file size of the drift item in byte
      Returns:

    - #### setFileSize

          public void setFileSize(java.lang.Long fileSize)

    - #### getFileVersion

          public java.lang.String getFileVersion()

      The file version associated with the drift item.
      Returns:

    - #### setFileVersion

          public void setFileVersion(java.lang.String fileVersion)

    - #### getFileDescription

          public java.lang.String getFileDescription()

      The file description associated with the drift item.
      Returns:

    - #### setFileDescription

          public void setFileDescription(java.lang.String fileDescription)

    - #### getSha1

          public java.lang.String getSha1()

      The SHA1 hash calculated from the drift item.
      Returns:

    - #### setSha1

          public void setSha1(java.lang.String sha1)

    - #### getSha256

          public java.lang.String getSha256()

      The SHA256 hash calculated from the drift item.
      Returns:

    - #### setSha256

          public void setSha256(java.lang.String sha256)

    - #### getMd5

          public java.lang.String getMd5()

      The MD5 hash calculated from the drift item.
      Returns:

    - #### setMd5

          public void setMd5(java.lang.String md5)

    - #### getFileName

          public java.lang.String getFileName()

      The file name of the drift item.
      Returns:

    - #### setFileName

          public void setFileName(java.lang.String fileName)

    - #### getInstallPath

          public java.lang.String getInstallPath()

      The path on which the drift item was found.
      Returns:

    - #### setInstallPath

          public void setInstallPath(java.lang.String installPath)

    - #### getChangeEventTime

          public long getChangeEventTime()

      The time the drift item was discovered, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:

    - #### setChangeEventTime

          public void setChangeEventTime(long changeEventTime)

    - #### getChangeByUser

          public java.lang.String getChangeByUser()

      The username of the user that introduced the drift item.
      Returns:

    - #### setChangeByUser

          public void setChangeByUser(java.lang.String changeByUser)

    - #### getChangeByUserID

          public java.lang.String getChangeByUserID()

      The user ID of the user that introduced the drift item.
      Returns:

    - #### setChangeByUserID

          public void setChangeByUserID(java.lang.String changeByUserID)

    - #### getChangeByProcess

          public java.lang.String getChangeByProcess()

      The name of the process that introduced the drift item.
      Returns:

    - #### setChangeByProcess

          public void setChangeByProcess(java.lang.String changeByProcess)

    - #### getChangeByProcessID

          public java.lang.String getChangeByProcessID()

      The process ID of the process that introduced the drift item.
      Returns:

    - #### setChangeByProcessID

          public void setChangeByProcessID(java.lang.String changeByProcessID)

    - #### getRuleset

          public DriftItemDetails.RulesetSummaryInfo getRuleset()

      Summary information about the current ruleset on the host, if any.
      Returns:
        summary information about the current ruleset on the host.

    - #### setRuleset

          public void setRuleset(DriftItemDetails.RulesetSummaryInfo ruleset)

      Set summary information about the current ruleset on the host.
      Parameters:
        `ruleset` - summary information about the current ruleset on the host.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.